# Gimp.gradients_popup

    function gradients_popup(gradient_callback: String, popup_title: String, initial_gradient: Gimp.Gradient, parent_window: Uint8Array): Boolean {
        // Gjs wrapper for gimp_gradients_popup()
    }

Invokes the Gimp gradients selection dialog.

Opens a dialog letting a user choose a gradient.

gradient_callback

  The callback PDB proc to call when user chooses a gradient.

popup_title

  Title of the gradient selection dialog.

initial_gradient

  The initial gradient choice.

parent_window

  An optional parent window handle for the popup to be set transient to.

Returns

  TRUE on success.